import com.iamberry.wechat.utils.ExcelUtil;

import java.util.ArrayList;
import java.util.List;

/**
 * 发送短信
 */
public class SendMessages {

    static String filePath = "E:\\java-work\\iamberry-watero\\watero-wechat-web\\src\\test\\java\\excel.xls";

    //手机校验
    private final static String regExp = "^((13[0-9])|(15[^4])|(18[0,2,3,5-9])|(17[0-8])|(147))\\d{8}$";

    public static void main(String[] args) {
        List<String> phoneList = new ArrayList<String>();
        List<String> landlineList = new ArrayList<String>();
        try {
            phoneList = ExcelUtil.readCell(filePath, "联系方式");
        } catch (Exception e) {
        }

        for (String phone : phoneList) {
            if (phone.length() == 11) {

//                if (!falg)
//                    landlineList.add(phone);
            } else {
                landlineList.add(phone);
            }
        }

        //格式不对的手机号码
        for (String landline : landlineList) {
            System.out.println(landline);
        }

        return;
    }



}
